% File src/library/base/man/Foreign-internal.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2012 R Core Team
% Distributed under GPL 2 or later

\name{Foreign-internal}
\alias{.External.graphics}
\alias{.External2}
\alias{.Call.graphics}
\title{Internal Versions of the Foreign Function Interface}
\description{
\code{\link{.Call}} と \code{\link{.External}} の内部バージョン.
}
\usage{
    .Call.graphics(.NAME, \dots, PACKAGE)
.External.graphics(.NAME, \dots, PACKAGE)
        .External2(.NAME, \dots, PACKAGE)
}
\arguments{
  \item{.NAME}{文字列．C 関数，Fortran サブルーチン，もしくはそうした名前を参照する
  クラス \code{"\link{NativeSymbolInfo}"}, \code{"\link{RegisteredNativeSymbol}"}
  または \code{"\link{NativeSymbol}"} のオブジェクトを指示する.}
  \item{\dots}{外部関数に引き渡される引数．}
  \item{PACKAGE}{\code{\link{.Call}} の対応引数を見よ．}
}
\details{
\code{.Call} と \code{.External} の \code{.graphics} バージョンが
低レベルグラフィックス呼び出しを行うコードを呼び出すとき使われる．
それらはデバイスドライバのディスプレイが正しく更新されることを保証するために
追加の手順をとる．

\code{.External2} はより多くの引数に追加情報を引き渡す \code{.External} の
バージョンである．

\code{.Call.graphics} はパッケージ \pkg{grid} と 
\code{.External.graphics} で使われ，\code{.External2} はパッケージ 
\code{graphics} で使われる．

これらはプリミティブな関数である．
}
\value{
\R オブジェクト．
}
\seealso{\code{\link{.Call}}.}
\keyword{internal}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/Foreign-internal.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2012 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Foreign-internal}
%\alias{.External.graphics}
%\alias{.External2}
%\alias{.Call.graphics}
%\title{Internal Versions of the Foreign Function Interface}
%\description{
%  Internal versions of \code{\link{.Call}} and \code{\link{.External}}.
%}
%\usage{
%    .Call.graphics(.NAME, \dots, PACKAGE)
%.External.graphics(.NAME, \dots, PACKAGE)
%        .External2(.NAME, \dots, PACKAGE)
%}
%\arguments{
%  \item{.NAME}{a character string giving the name of a C function or
%    Fortran subroutine, or an object of class
%    \code{"\link{NativeSymbolInfo}"}, \code{"\link{RegisteredNativeSymbol}"}
%    or \code{"\link{NativeSymbol}"} referring to such a name.}
%  \item{\dots}{arguments to be passed to the foreign function.}
%  \item{PACKAGE}{see the corresponding argument of \code{\link{.Call}}.}
%}
%\details{
%  The \code{.graphics} versions of \code{.Call} and \code{.External}
%  are used when calling code which makes low-level graphics calls.
%  They take additional steps to ensure that the device driver display
%  lists are updated correctly.
%
%  \code{.External2} is an enhanced version of \code{.External} which
%  passes additional information in more arguments.
%
%  \code{.Call.graphics} is used in package \pkg{grid} and
%  \code{.External.graphics} and \code{.External2} are used in package
%  \code{graphics}.
%
%  These are primitive functions.
%}
%\value{
%  An \R object.
%}
%\seealso{\code{\link{.Call}}.}
%\keyword{internal}
%
\encoding{UTF8}
