% File src/library/base/man/Sys.getpid.Rd
% Part of the R package, https://www.R-project.org
% Copyright 1995-2014 R Core Team
% Distributed under GPL 2 or later

\name{Sys.getpid}
\alias{Sys.getpid}

\title{Get the Process ID of the R Session}
\description{
\R セッションのプロセス ID を得る．同時に稼働する二つの \R セッションは
異なった ID を持つことが OS から保証されるが，異なった時間に稼働する
 \R セッションが同じ ID を持つことがあり得る．
}
\usage{
Sys.getpid()
}
\value{
整数で，Unix 風システムではしばしば 1 と 32767 の間
(しかし，例えば FreeBSD と OS X は 99999 までの ID を使う)で
 Windows では正整数(32767 まで)．
}
\examples{\donttest{
Sys.getpid()
}}
\keyword{utilities}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% File src/library/base/man/Sys.getpid.Rd
%% Part of the R package, https://www.R-project.org
%% Copyright 1995-2014 R Core Team
%% Distributed under GPL 2 or later
%
%\name{Sys.getpid}
%\alias{Sys.getpid}
%
%\title{Get the Process ID of the R Session}
%\description{
%  Get the process ID of the \R Session.  It is guaranteed by the
%  operating system that two \R sessions running simultaneously will
%  have different IDs, but it is possible that \R sessions running at
%  different times will have the same ID.
%}
%\usage{
%Sys.getpid()
%}
%\value{
%  An integer, often between 1 and 32767 under Unix-alikes (but for
%  example FreeBSD and OS X use IDs up to 99999) and a
%  positive integer (up to 32767) under Windows.
%}
%\examples{\donttest{
%Sys.getpid()
%}}
%\keyword{utilities}
%
\encoding{UTF8}
